@echo off
setlocal

REM ************************************************
REM         User Defined Variables
REM ************************************************

REM SID name for IIC1.4
SET SID=IICDB

REM Password for user "sys"
SET SYS_PWD=@DATABASE_PWD@

REM ************************************************
REM         Main
REM ************************************************

set DBA_SCRIPTS_ROOT=%~dp0
SET LOG_FILE="%DBA_SCRIPTS_ROOT%output.log"
set SYS_CONNECT_STRING=sys/%SYS_PWD%@%SID% as SYSDBA

REM For defect fix *********************************************************
REM Defect fix: db scripts in IIC1.4 GM build do not contain required sql for adding some privileges
set TASK_DESC=Applying patches...
echo %TASK_DESC% | echo %TASK_DESC% > %LOG_FILE%
set CALL_STRING=sqlplus -S %SYS_CONNECT_STRING% @"%DBA_SCRIPTS_ROOT%dba.sql"
echo %CALL_STRING% | echo %CALL_STRING% >> %LOG_FILE%
call %CALL_STRING% >> %LOG_FILE%




