@echo off
setlocal

REM ************************************************
REM         User Defined Variables
REM ************************************************

REM SID name for IIC1.4
SET SID=IICDB

REM Password used for all users created by IIC1.4 database scripts
SET USER_PWD=@DATABASE_PWD@

REM ************************************************
REM         Main
REM ************************************************

set TABLE_SCRIPTS_ROOT=%~dp0
set CURRENT_DRIVE=%~d0
SET LOG_FILE="%TABLE_SCRIPTS_ROOT%createOutput.log"


REM For 1401 *********************************************************
REM Create MM tables
set TASK_DESC=Deleting MM Tables...
echo %TASK_DESC% | echo %TASK_DESC% >> %LOG_FILE%
set CALL_STRING=sqlplus -S MM/%USER_PWD%@%SID% @"%TABLE_SCRIPTS_ROOT%MM\createMMDBTables.sql"
echo %CALL_STRING% | echo %CALL_STRING% >> %LOG_FILE%
call %CALL_STRING% >> %LOG_FILE%