@echo off
setlocal

REM *************************************
REM	    User Defined Variables
REM *************************************

REM SID name for IIC1.4
SET SID=IICDB

REM Password for user "sys"
SET SYS_PWD=@DATABASE_PWD@

REM *************************************
REM             Main
REM *************************************

SET TABLE_SCRIPTS_ROOT=%~dp0
SET LOG_FILE="%TABLE_SCRIPTS_ROOT%deleteOutput.log"
SET SYS_CONNECT_STRING=sys /%SYS_PWD%@%SID% as SYSDBA

REM For defect fix **************************************************
REM Defect fix: db scripts in IIC1.4 Golden Master build does not contain required sql for deleting the table
SET TASK_DESC=Removing tables....
echo %TASK_DESC% | echo %TASK_DESC% > %LOG_FILE%
SET CALL_STRING=sqlplus -S %SYS_CONNECT_STRING% @"%TABLE_SCRIPTS_ROOT%MM\deleteMMDBTables.sql"
echo %CALL_STRING% | echo %CALL_STRING% >> %LOG_FILE%
call %CALL_STRING% >> %LOG_FILE%